<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Tue Jan 15 11:12:01 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
SingleClientConnManager.ConnAdapter (HttpComponents Client 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-15">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="SingleClientConnManager.ConnAdapter (HttpComponents Client 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SingleClientConnManager.ConnAdapter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/conn/SingleClientConnManager.html" title="class in org.apache.http.impl.conn"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/conn/SingleClientConnManager.PoolEntry.html" title="class in org.apache.http.impl.conn"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/conn/SingleClientConnManager.ConnAdapter.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SingleClientConnManager.ConnAdapter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.apache.http.impl.conn.AbstractPooledConnAdapter">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#methods_inherited_from_class_org.apache.http.impl.conn.AbstractPooledConnAdapter">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;METHOD</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.impl.conn</FONT>
<BR>
Class SingleClientConnManager.ConnAdapter</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html" title="class in org.apache.http.impl.conn">org.apache.http.impl.conn.AbstractClientConnAdapter</A>
      <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html" title="class in org.apache.http.impl.conn">org.apache.http.impl.conn.AbstractPooledConnAdapter</A>
          <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.impl.conn.SingleClientConnManager.ConnAdapter</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io">Closeable</A>, <A HREF="../../../../../org/apache/http/conn/ConnectionReleaseTrigger.html" title="interface in org.apache.http.conn">ConnectionReleaseTrigger</A>, <A HREF="../../../../../org/apache/http/conn/HttpRoutedConnection.html" title="interface in org.apache.http.conn">HttpRoutedConnection</A>, <A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html" title="interface in org.apache.http.conn">ManagedClientConnection</A>, <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpClientConnection.html?is-external=true" title="class or interface in org.apache.http">HttpClientConnection</A>, <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpConnection.html?is-external=true" title="class or interface in org.apache.http">HttpConnection</A>, <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpInetConnection.html?is-external=true" title="class or interface in org.apache.http">HttpInetConnection</A>, <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A></DD>
</DL>
<DL>
<DT><B>Enclosing class:</B><DD><A HREF="../../../../../org/apache/http/impl/conn/SingleClientConnManager.html" title="class in org.apache.http.impl.conn">SingleClientConnManager</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>protected class <B>SingleClientConnManager.ConnAdapter</B><DT>extends <A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html" title="class in org.apache.http.impl.conn">AbstractPooledConnAdapter</A></DL>
</PRE>

<P>
The connection adapter used by this manager.
<P>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.apache.http.impl.conn.AbstractPooledConnAdapter"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html" title="class in org.apache.http.impl.conn">AbstractPooledConnAdapter</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#poolEntry">poolEntry</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.apache.http.protocol.HttpContext"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface org.apache.http.protocol.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true#RESERVED_PREFIX" title="class or interface in org.apache.http.protocol">RESERVED_PREFIX</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected </CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/SingleClientConnManager.ConnAdapter.html#SingleClientConnManager.ConnAdapter(org.apache.http.impl.conn.SingleClientConnManager.PoolEntry, org.apache.http.conn.routing.HttpRoute)">SingleClientConnManager.ConnAdapter</A></B>(<A HREF="../../../../../org/apache/http/impl/conn/SingleClientConnManager.PoolEntry.html" title="class in org.apache.http.impl.conn">SingleClientConnManager.PoolEntry</A>&nbsp;entry,
                                    <A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new connection adapter.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.impl.conn.AbstractPooledConnAdapter"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html" title="class in org.apache.http.impl.conn">AbstractPooledConnAdapter</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#assertAttached()">assertAttached</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#assertValid(org.apache.http.impl.conn.AbstractPoolEntry)">assertValid</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#close()">close</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#detach()">detach</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#getPoolEntry()">getPoolEntry</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#getRoute()">getRoute</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#getState()">getState</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#layerProtocol(org.apache.http.protocol.HttpContext, org.apache.http.params.HttpParams)">layerProtocol</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#open(org.apache.http.conn.routing.HttpRoute, org.apache.http.protocol.HttpContext, org.apache.http.params.HttpParams)">open</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#setState(java.lang.Object)">setState</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#shutdown()">shutdown</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#tunnelProxy(org.apache.http.HttpHost, boolean, org.apache.http.params.HttpParams)">tunnelProxy</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#tunnelTarget(boolean, org.apache.http.params.HttpParams)">tunnelTarget</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.impl.conn.AbstractClientConnAdapter"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html" title="class in org.apache.http.impl.conn">AbstractClientConnAdapter</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#abortConnection()">abortConnection</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#assertNotAborted()">assertNotAborted</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#assertValid(org.apache.http.conn.OperatedClientConnection)">assertValid</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#flush()">flush</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#getAttribute(java.lang.String)">getAttribute</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#getLocalAddress()">getLocalAddress</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#getLocalPort()">getLocalPort</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#getManager()">getManager</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#getMetrics()">getMetrics</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#getRemoteAddress()">getRemoteAddress</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#getRemotePort()">getRemotePort</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#getSocketTimeout()">getSocketTimeout</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#getSSLSession()">getSSLSession</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#getWrappedConnection()">getWrappedConnection</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#isMarkedReusable()">isMarkedReusable</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#isOpen()">isOpen</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#isReleased()">isReleased</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#isResponseAvailable(int)">isResponseAvailable</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#isSecure()">isSecure</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#isStale()">isStale</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#markReusable()">markReusable</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#receiveResponseEntity(org.apache.http.HttpResponse)">receiveResponseEntity</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#receiveResponseHeader()">receiveResponseHeader</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#releaseConnection()">releaseConnection</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#removeAttribute(java.lang.String)">removeAttribute</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#sendRequestEntity(org.apache.http.HttpEntityEnclosingRequest)">sendRequestEntity</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#sendRequestHeader(org.apache.http.HttpRequest)">sendRequestHeader</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#setAttribute(java.lang.String, java.lang.Object)">setAttribute</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#setIdleDuration(long, java.util.concurrent.TimeUnit)">setIdleDuration</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#setSocketTimeout(int)">setSocketTimeout</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#unmarkReusable()">unmarkReusable</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="SingleClientConnManager.ConnAdapter(org.apache.http.impl.conn.SingleClientConnManager.PoolEntry, org.apache.http.conn.routing.HttpRoute)"><!-- --></A><H3>
SingleClientConnManager.ConnAdapter</H3>
<PRE>
protected <B>SingleClientConnManager.ConnAdapter</B>(<A HREF="../../../../../org/apache/http/impl/conn/SingleClientConnManager.PoolEntry.html" title="class in org.apache.http.impl.conn">SingleClientConnManager.PoolEntry</A>&nbsp;entry,
                                              <A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route)</PRE>
<DL>
<DD>Creates a new connection adapter.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>entry</CODE> - the pool entry for the connection being wrapped<DD><CODE>route</CODE> - the planned route for this connection</DL>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SingleClientConnManager.ConnAdapter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/conn/SingleClientConnManager.html" title="class in org.apache.http.impl.conn"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/conn/SingleClientConnManager.PoolEntry.html" title="class in org.apache.http.impl.conn"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/conn/SingleClientConnManager.ConnAdapter.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SingleClientConnManager.ConnAdapter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.apache.http.impl.conn.AbstractPooledConnAdapter">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#methods_inherited_from_class_org.apache.http.impl.conn.AbstractPooledConnAdapter">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;METHOD</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
